%global npm_name deep-extend
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.6.0
Release: %mkrel 4
Summary: Recursive object extending
License: MIT
Group: Development/Other
URL: https://github.com/unclechu/node-deep-extend
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.0-4.mga10
+ Revision: 2208914
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1819345
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1521221
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 0.6.0-1.mga7
+ Revision: 1341762
- Update to version 0.6.0

* Thu Sep 20 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1280305
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 0.5.1-1.mga7
+ Revision: 1227053
- imported package nodejs-deep-extend

